RosterAdd a shift note

Add a shift note

Needs: Roster, Read-write

Adds a shift note, like Add note on the roster. Published shifts only. A single-staff shift with several service segments takes one note per segment with segment_notes, or notes for all of them.

Errors

  • 422 with This shift must be published first. for a draft shift.
  • 422 with This shift is cancelled. for a cancelled shift.
curl -X POST "https://app.imploy.com.au/api/integrations/v1/shifts/example_string/notes" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "notes": "<p>Client was in good spirits. Medication prompted at 10am.</p>"
}'
{
  "added": "a:123",
  "author": "Example Owner",
  "shift_notes": [
    "..."
  ]
}
POST
/shifts/{ref}/notes
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
refstring
Required

The shift ref, such as a:123.

Content-Typestring
Required

The media type of the request body

Options: application/json
notesstring

The note. Plain text, or HTML using the note editor formatting.

segment_notesarray

A list of segment_id and notes pairs, with segment ids from the shift's details.

author_staff_idinteger

Write the note as this staff member on the shift. Defaults to the organisation owner.

client_idinteger

Group or site shifts. The client the note is about. Defaults to all of the shift's clients.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

refstring
Required

The shift ref, such as a:123.

Body

application/json
notesstring

The note. Plain text, or HTML using the note editor formatting.

segment_notesarray

A list of segment_id and notes pairs, with segment ids from the shift's details.

author_staff_idinteger

Write the note as this staff member on the shift. Defaults to the organisation owner.

client_idinteger

Group or site shifts. The client the note is about. Defaults to all of the shift's clients.

Responses